- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SparseJacobianMatrix Class Reference

a sparse Jacobian matrix data structure More...

`#include <OSGeneral.h>`

List of all members.

## Public Member Functions
| SparseJacobianMatrix ()
| Default constructor.
| SparseJacobianMatrix (int startSize, int valueSize)
| Constructor.
| ~SparseJacobianMatrix ()
| Default destructor.
## Public Attributes
bool | bDeleteArrays
| bDeleteArrays is true if we delete the arrays in garbage collection set to true by default
int | startSize
| startSize is the dimension of the starts array -- should equal number of rows + 1
int | valueSize
| valueSize is the dimension of the values array
int * | starts
| starts holds an integer array of start elements, each start element pints to the start of partials for that row
int * | conVals
| conVals holds an integer array of integers, conVals[i] is the number of constant terms in the gradient for row i.
int * | indexes
| indexes holds an integer array of variable indicies.
double * | values
| values holds a double array of nonzero partial derivatives

## Detailed Description

a sparse Jacobian matrix data structure

Definition at line 239 of file OSGeneral.h.

## Constructor & Destructor Documentation

SparseJacobianMatrix::SparseJacobianMatrix | ( |  | ) |

Default constructor.

Definition at line 225 of file OSGeneral.cpp.

SparseJacobianMatrix::SparseJacobianMatrix | ( | int | startSize,
|  | int | valueSize |
| ) |  |  |

Constructor.

Parameters:

  | startSize | holds the size of the start array.
  | valueSize | holds the size of the value and index arrays.

Definition at line 237 of file OSGeneral.cpp.

References conVals, values, and valueSize.

SparseJacobianMatrix::~SparseJacobianMatrix | ( |  | ) |

Default destructor.

Definition at line 249 of file OSGeneral.cpp.

References bDeleteArrays, conVals, and values.

## Member Data Documentation

bool SparseJacobianMatrix::bDeleteArrays

bDeleteArrays is true if we delete the arrays in garbage collection set to true by default

Definition at line 246 of file OSGeneral.h.

Referenced by OSInstance::getJacobianSparsityPattern(), and ~SparseJacobianMatrix().

int SparseJacobianMatrix::startSize

startSize is the dimension of the starts array -- should equal number of rows + 1

Definition at line 251 of file OSGeneral.h.

Referenced by main().

int SparseJacobianMatrix::valueSize

valueSize is the dimension of the values array

Definition at line 256 of file OSGeneral.h.

Referenced by IpoptProblem::get_nlp_info(), BonminProblem::get_nlp_info(), OSInstance::getJacobianSparsityPattern(), KnitroProblem::loadProblemIntoKnitro(), and SparseJacobianMatrix().

int* SparseJacobianMatrix::starts

starts holds an integer array of start elements, each start element pints to the start of partials for that row

Definition at line 262 of file OSGeneral.h.

Referenced by OSInstance::calculateFunctionValue(), IpoptProblem::eval_jac_g(), BonminProblem::eval_jac_g(), OSInstance::getFirstOrderResults(), OSInstance::getJacobianSparsityPattern(), OSInstance::getSecondOrderResults(), OSInstance::getZeroOrderResults(), KnitroProblem::loadProblemIntoKnitro(), and main().

int* SparseJacobianMatrix::conVals

conVals holds an integer array of integers, conVals[i] is the number of constant terms in the gradient for row i.

Definition at line 268 of file OSGeneral.h.

Referenced by OSInstance::calculateFunctionValue(), OSInstance::getJacobianSparsityPattern(), OSInstance::getZeroOrderResults(), main(), SparseJacobianMatrix(), and ~SparseJacobianMatrix().

int* SparseJacobianMatrix::indexes

indexes holds an integer array of variable indicies.

Definition at line 273 of file OSGeneral.h.

Referenced by OSInstance::calculateFunctionValue(), IpoptProblem::eval_jac_g(), BonminProblem::eval_jac_g(), OSInstance::getFirstOrderResults(), OSInstance::getJacobianSparsityPattern(), OSInstance::getSecondOrderResults(), OSInstance::getZeroOrderResults(), KnitroProblem::loadProblemIntoKnitro(), and main().

double* SparseJacobianMatrix::values

values holds a double array of nonzero partial derivatives

Definition at line 278 of file OSGeneral.h.

Referenced by OSInstance::calculateFunctionValue(), CheckGradientValues(), KnitroProblem::evalGA(), OSInstance::getFirstOrderResults(), OSInstance::getJacobianSparsityPattern(), OSInstance::getSecondOrderResults(), OSInstance::getZeroOrderResults(), main(), SparseJacobianMatrix(), and ~SparseJacobianMatrix().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp